Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225368

Summary: Review Request: ack - Grep-like text finder
Product: [Fedora] Fedora Reporter: Ian Burrell <ianburrell>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: wtogami: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-15 23:50:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 225365    
Bug Blocks: 163779    

Description Ian Burrell 2007-01-30 06:06:58 UTC
Spec URL: http://znark.com/fedora/ack.spec
SRPM URL: http://znark.com/fedora/ack-1.56-2.src.rpm
Description: Ack is designed as a replacement for grep.

Comment 1 Parag AN(पराग) 2007-02-09 06:08:58 UTC
any reason for not naming this package's name starting with perl- ?

Comment 2 Parag AN(पराग) 2007-02-09 06:09:34 UTC
Source URL not working. check that.

Comment 3 Ian Burrell 2007-02-11 04:01:35 UTC
I chose to use "ack" as the package name because it is primarily an application.
 Also, the other choices were "perl-ack" looks like a pragma, or "perl-App-Ack"
which is non-standard and hard to find. 

Fixed Source URL.

Spec URL: http://znark.com/fedora/ack.spec
SRPM URL: http://znark.com/fedora/ack-1.56-3.src.rpm

Comment 4 Parag AN(पराग) 2007-02-12 04:30:14 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d2c8750f35ae8be79956958e2b653e32  ack-1.56.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: perl(App::Ack) = 1.56

APPROVED.


Comment 5 Michael Schwendt 2007-02-12 14:46:34 UTC
> Requires:       perl(File::Next) >= 0.38

That one is automatically set by rpmbuild already, isn't it?

> %setup -q -n ack-%{version}

-n %{name}-%{version} is automatic already

> make %{?_smp_mflags}

SMP make flags in a noarch build are superfluous.


Comment 6 Michael Schwendt 2007-02-12 14:54:23 UTC
How about getting

%check
make test

included in the package?


Comment 7 Ville Skyttä 2007-02-12 16:41:40 UTC
(In reply to comment #5)

> SMP make flags in a noarch build are superfluous.

Not necessarily, they don't have anything to do with archs per se.  Granted,
noarch packages benefit from parallel builds much less often than eg. ones that
invoke a C compiler.

Comment 8 Michael Schwendt 2007-02-12 17:53:29 UTC
Right, but with a 34 KB noarch package and no costly computations
during %build, there is no gain to expect on a MP system. The risk
is greater than the potential benefit.


Comment 9 Ian Burrell 2007-02-12 19:12:28 UTC
I left out the %check block because the tests fail when run without a terminal.
 This is a bug in the tests in that they assume that they are run from a
terminal.   The tests pass when run normaly.

I entered a bug upstream to fix the problem.
http://rt.cpan.org/Public/Bug/Display.html?id=24670


Comment 10 Ian Burrell 2007-02-12 19:19:58 UTC
>> Requires:       perl(File::Next) >= 0.38

> That one is automatically set by rpmbuild already, isn't it?

I removed the manual one.

>> %setup -q -n ack-%{version}

> -n %{name}-%{version} is automatic already

That was an artifact of renaming the package.

Spec URL: http://znark.com/fedora/ack.spec
SRPM URL: http://znark.com/fedora/ack-1.56-4.src.rpm


Comment 11 Parag AN(पराग) 2007-02-13 04:32:57 UTC
I rechecked the new release in mock.
It built fine.
rpmlint is silent.
So new package is ok.

Comment 12 Parag AN(पराग) 2007-02-13 04:37:01 UTC
Thanks Michael for your comments.

Comment 13 Ian Burrell 2007-08-29 18:53:55 UTC
Package Change Request
======================
Package Name: ack
New Branches: EL-4 EL-5